> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Reservation

Creates a reservation. New reservations start in `pending` status. Charge attempts to confirm them about 30 minutes before the preferred charging window.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/reservations \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "connector_type": [
      "CCS"
    ],
    "driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
    "ideal_end": "2026-04-01T02:45:43.318Z",
    "ideal_start": "2026-04-01T01:15:19.251Z",
    "location": {
      "latitude": 48.8698,
      "longitude": 2.3319,
      "radius": 1500
    },
    "vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "res_BzPpVflI7WIwvfvbLAU7MwYvKweypDnW",
      "object": "reservation",
      "cancellation_policy": {
          "free_until_before": 1800,
          "type": "free_cancellation"
      },
      "charging_station": null,
      "confirmed_at": null,
      "connector_type": ["CCS"],
      "created": "2026-04-01T00:15:05.782Z",
      "currency": "eur",
      "driver": "drv_MrLs3VDRkma7gHAcmQ8InEi8CKZ91hrS",
      "earliest_start": null,
      "failed_reason": null,
      "ideal_end": "2026-04-01T02:45:43.318Z",
      "ideal_start": "2026-04-01T01:15:19.251Z",
      "latest_end": null,
      "location": {
          "latitude": 48.8698,
          "longitude": 2.3319,
          "radius": 1500
      },
      "metadata": {},
      "payment_method": "pm_TLAK3sXzk1KvcsyGLlU8nKAN05nrF7NV",
      "reservation_fee": 1200,
      "reserved_end": null,
      "reserved_start": null,
      "status": "pending",
      "updated": "2026-04-01T00:23:12.388Z",
      "vehicle": "veh_tnnvFIIM4oBXknF7qBVAy3biBlc0iKiv"
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="driver" type="string" required>
  ID of the driver creating the reservation.
</ParamField>

<ParamField body="ideal_end" type="string" required>
  Preferred charging end time . RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="ideal_start" type="string" required>
  Preferred charging start time . RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="payment_method" type="string | null">
  Payment method ID for reservation fees.
</ParamField>

<ParamField body="vehicle" type="string" required>
  ID of the vehicle to charge.
</ParamField>

## More parameters

<ParamField body="connector_type" type="array of string" required>
  Preferred connector types for charging.

  Available options: `CHAdeMO`, `CCS`, `Type2`
</ParamField>

<ParamField body="earliest_start" type="string | null">
  Earliest acceptable charging start time. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="latest_end" type="string | null">
  Latest acceptable charging end time. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="location" type="object" required>
  Geographic area within which Charge will attempt to assign a station.

  <Expandable title="properties">
    <ParamField body="latitude" type="number" required>
      Latitude of the search area center point.
    </ParamField>

    <ParamField body="longitude" type="number" required>
      Longitude of the search area center point.
    </ParamField>

    <ParamField body="radius" type="integer" required>
      Radius around the location in meters.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="metadata" type="object">
  Set of key-value pairs that you can attach to an object.
</ParamField>

## Returns

Returns the created reservation.
